Update User Role
curl --request PUT \
--url https://api.raydocs.com/workspaces/{workspaceId}/users/{userId}/update-role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.raydocs.com/workspaces/{workspaceId}/users/{userId}/update-role"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.raydocs.com/workspaces/{workspaceId}/users/{userId}/update-role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Workspace Users
Update User Role
Change a user’s role in the workspace.
PUT
/
workspaces
/
{workspaceId}
/
users
/
{userId}
/
update-role
Update User Role
Authentication & Scope
Requires theworkspace-users-write ability.
Request
PUT /workspaces/1/users/5/update-role HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>
Content-Type: application/json
{
"role": "admin"
}
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
workspaceId | integer | Yes | The workspace ID |
userId | integer | Yes | The user ID to update |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
role | string | Yes | New role: admin, user, or readonly |
Response
200 OK – Role updated successfully.
{
"message": "Role updated successfully"
}
404 Not Found – User is not a member of this workspace.Authorizations
Body
application/json
Available options:
admin, user, readonly Response
Role updated
⌘I
